Page MenuHomePhabricator

Fix wgRestrictionLevels for all Serbian projects to fully work
Closed, ResolvedPublic

Description

In T215653, several protection levels were added to all Serbian projects. The lines added are:

'srwiki' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653
'srwikibooks' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653
'srwikinews' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653
'srwikisource' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653
'srwikiquote' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653
'srwiktionary' => [ '', 'autoconfirmed', 'autopatrol', 'patroller', 'rollbacker', 'bot', 'sysop', 'bureaucrat' ], // T215653

But user rights are not set correctly ($wgRestrictionLevels contains a set of permissions, not user groups). I think of this change in wgGroupPermissions: (this should be added to srwiki, srwikibooks, srwikinews, srwikisource, srwikiquote, srwiktionary)

'patroller' => array( 'patroller' => true ),
'rollbacker' => array( 'rollbacker' => true ),
'sysop' => array( 'patroller' => true, 'rollbacker' => true ),
'bureaucrat' => array( 'bureaucrat' => true ),

Event Timeline

Restricted Application added subscribers: Petar.petkovic, Aklapper. · View Herald TranscriptFeb 25 2019, 11:07 AM
Vlad5250 updated the task description. (Show Details)Feb 25 2019, 11:10 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.

Please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks!

Ammarpad claimed this task.Mar 1 2019, 7:57 PM
Urbanecm claimed this task.May 25 2019, 1:26 PM
Urbanecm added a subscriber: Ammarpad.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 25 2019, 1:26 PM

(reclaimed, @Ammarpad made no change regarding this in more than a month)

Change 512487 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Fix Serbian projects' wgRestrictionLevels

https://gerrit.wikimedia.org/r/512487

Urbanecm renamed this task from Set up user rights for Serbian projects to Fix wgRestrictionLevels for all serbian projects.May 25 2019, 1:33 PM
Urbanecm renamed this task from Fix wgRestrictionLevels for all serbian projects to Fix wgRestrictionLevels for all Serbian projects to fully work.
Urbanecm triaged this task as Normal priority.
Urbanecm moved this task from Backlog to To deploy on the Serbian-Sites board.
Urbanecm moved this task from Backlog to To deploy - SWAT necessary on the User-Urbanecm board.
Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
Urbanecm updated the task description. (Show Details)

Change 512488 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove bureaucrat protection level for all Serbian projects

https://gerrit.wikimedia.org/r/512488

Change 512487 merged by Urbanecm:
[operations/mediawiki-config@master] Fix Serbian projects' wgRestrictionLevels

https://gerrit.wikimedia.org/r/512487

Mentioned in SAL (#wikimedia-operations) [2019-05-29T11:14:44Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:512487|Fix Serbian projects wgRestrictionLevels]] (T217005) (duration: 00m 57s)

Change 512488 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove bureaucrat protection level for all Serbian projects

https://gerrit.wikimedia.org/r/512488

Mentioned in SAL (#wikimedia-operations) [2019-05-29T11:18:50Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:512488|Remove bureaucrat protection level for all Serbian projects]] (T217005) (duration: 00m 57s)

Urbanecm closed this task as Resolved.May 29 2019, 11:23 AM

Deployed.

Vlad5250 removed a subscriber: Vlad5250.Jul 3 2019, 10:08 AM